# Method: categories.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/categories/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/categories/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/categories/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/categories/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/categories/list#body.ListBusinessCategoriesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/categories/list#body.aspect)

Returns a list of business categories. Search will match the category name but not the category ID.

<br />

> [!NOTE]
> **Note:** Search only matches the front of a category name (that is, 'food' may return 'Food Court' but not 'Fast Food Restaurant').

<br />

### HTTP request

`GET https://mybusiness.googleapis.com/v4/categories`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `regionCode` | `string` The ISO 3166-1 alpha-2 country code. |
| `languageCode` | `string` The BCP 47 code of language. If the language is not available, it will default to English. |
| `searchTerm` | `string` Optional filter string from user. |
| `pageSize` | `integer` How many categories to fetch per page. Default is 100, minimum is 1, and maximum page size is 100. |
| `pageToken` | `string` If specified, the next page of categories will be fetched. |
| `view` | ``enum (`https://developers.google.com/my-business/reference/rest/v4/CategoryView`)`` Optional. Specifies which parts to the Category resource should be returned in the response. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "categories": [ { object (`https://developers.google.com/my-business/reference/rest/v4/categories#Category`) } ], "totalCategoryCount": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `categories[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/categories#Category`)`` The categories. Categories are BASIC view. They don't contain any ServiceType information. |
| `totalCategoryCount` | `integer` The total number of categories for the request parameters. |
| `nextPageToken` | `string` If the number of categories exceeded the requested page size, this field will be populated with a token to fetch the next page of categories on a subsequent call to `categories.list`. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).